petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSNESSetObjective

set SNES objective evaluation function

### Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESSetObjective(DM dm,PetscErrorCode (*obj)(SNES,Vec,PetscReal*,void*),void *ctx)

Not Collective

### Input Arguments

| dm | - DM to be used with SNES
| obj | - objective evaluation function; see SNESObjectiveFunction for details
| ctx | - context for residual evaluation

### See Also

DMSNESSetContext(), SNESGetObjective(), DMSNESSetFunction()

### Level

advanced

### Location

src/snes/utils/dmsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages